Admin attention queues
GET
/api/v1/admin/attention
const url = 'https://api.deploybase.eu/api/v1/api/v1/admin/attention';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/api/v1/admin/attention \ --header 'Authorization: <Authorization>'Returns teams stuck in activation, subscriptions needing a billing look, and the unhandled feedback inbox
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
billing_attention
object
cancelling
Array<object>
object
age_days
integer
cancel_at_period_end
boolean
created_at
string
last_successful_deploy_at
string
owner_email
string
plan
string
status
string
subscription_count
integer
team_id
string
team_name
string
past_due
Array<object>
object
age_days
integer
cancel_at_period_end
boolean
created_at
string
last_successful_deploy_at
string
owner_email
string
plan
string
status
string
subscription_count
integer
team_id
string
team_name
string
paying_idle
Array<object>
object
age_days
integer
cancel_at_period_end
boolean
created_at
string
last_successful_deploy_at
string
owner_email
string
plan
string
status
string
subscription_count
integer
team_id
string
team_name
string
pending_payment
Array<object>
object
age_days
integer
cancel_at_period_end
boolean
created_at
string
last_successful_deploy_at
string
owner_email
string
plan
string
status
string
subscription_count
integer
team_id
string
team_name
string
failed_webhook_events
Array<object>
object
created_at
string
error_message
string
event_type
string
id
string
provider_event_id
string
feedback_inbox
Array<object>
object
created_at
string
id
string
message
string
page_route
string
truncated
boolean
type
string
user_email
string
stuck_activation
object
no_projects
Array<object>
object
created_at
string
deploy_attempts
integer
id
string
last_activity_at
string
latest_failure_reason
string
name
string
owner_email
string
owner_name
string
project_count
integer
no_successful_deploy
Array<object>
object
created_at
string
deploy_attempts
integer
id
string
last_activity_at
string
latest_failure_reason
string
name
string
owner_email
string
owner_name
string
project_count
integer
Example generated
{ "data": { "billing_attention": { "cancelling": [ { "age_days": 1, "cancel_at_period_end": true, "created_at": "example", "last_successful_deploy_at": "example", "owner_email": "example", "plan": "example", "status": "example", "subscription_count": 1, "team_id": "example", "team_name": "example" } ], "past_due": [ { "age_days": 1, "cancel_at_period_end": true, "created_at": "example", "last_successful_deploy_at": "example", "owner_email": "example", "plan": "example", "status": "example", "subscription_count": 1, "team_id": "example", "team_name": "example" } ], "paying_idle": [ { "age_days": 1, "cancel_at_period_end": true, "created_at": "example", "last_successful_deploy_at": "example", "owner_email": "example", "plan": "example", "status": "example", "subscription_count": 1, "team_id": "example", "team_name": "example" } ], "pending_payment": [ { "age_days": 1, "cancel_at_period_end": true, "created_at": "example", "last_successful_deploy_at": "example", "owner_email": "example", "plan": "example", "status": "example", "subscription_count": 1, "team_id": "example", "team_name": "example" } ] }, "failed_webhook_events": [ { "created_at": "example", "error_message": "example", "event_type": "example", "id": "example", "provider_event_id": "example" } ], "feedback_inbox": [ { "created_at": "example", "id": "example", "message": "example", "page_route": "example", "truncated": true, "type": "example", "user_email": "example" } ], "stuck_activation": { "no_projects": [ { "created_at": "example", "deploy_attempts": 1, "id": "example", "last_activity_at": "example", "latest_failure_reason": "example", "name": "example", "owner_email": "example", "owner_name": "example", "project_count": 1 } ], "no_successful_deploy": [ { "created_at": "example", "deploy_attempts": 1, "id": "example", "last_activity_at": "example", "latest_failure_reason": "example", "name": "example", "owner_email": "example", "owner_name": "example", "project_count": 1 } ] } }, "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Unauthorized
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Forbidden
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Internal Server Error
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}